Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class ConfigTransaction

    java.lang.Object
      |
      +--oracle.apps.cz.cio.BasicConfigAction
            |
            +--oracle.apps.cz.cio.ConfigTransaction

public class ConfigTransaction
extends oracle.apps.cz.cio.BasicConfigAction

Represents a configuration transaction.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`void` | `allowOnlyStructuralChanges()` Set this transaction to allow only structural changes (adding, deleting, connecting, and disconnecting) Calling this method will improve performance in transactions which contain many structural changes.
`boolean` | `getStateOfDefaults()` Get the current state of defaults in this transaction.
`boolean` | `isStructureOnly()` returns true if this transaction allows only structural changes to the configuration (adding, deleting, connecting, and disconnecting)
`void` | `restoreDefaults()` Restore the original state of the defaults in this transaction.
`void` | `setDefaults(boolean defaults)` Deprecated. Turn on/off defaults in this transaction.
`void` | `useInitialRequests()` Deprecated. As of 11.5.10, use `useNonOverridableRequests()`
`void` | `useNonOverridableRequests()` Mark this transaction to create requests which are not overriable by user requests.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### useNonOverridableRequests

    public void useNonOverridableRequests()
                                   throws NonOverridableRequestException

  Mark this transaction to create requests which are not overriable by user requests. This method must be called before creating any actions in the transaction After calling this method, any nested transactions created before closing this transaction will inherit the "non-overridable requests" status
    `NonOverridableRequestException`

### useInitialRequests

    public void useInitialRequests()
                            throws InitialRequestException

  Deprecated. As of 11.5.10, use `useNonOverridableRequests()`
    `InitialRequestException`
  See Also:
    `oracle.apps.cz.cio.ConfigTransaction.useNonOverridableRequests`

### allowOnlyStructuralChanges

    public void allowOnlyStructuralChanges()
                                    throws LogicalException

  Set this transaction to allow only structural changes (adding, deleting, connecting, and disconnecting) Calling this method will improve performance in transactions which contain many structural changes. This method must be called before creating any actions in the transaction After this method is called, values and logic states will be incorrect until after the commmit/rollback. If your code for this transaction relies on the values or logic states of nodes, then you must store these values in temporary variables before calling this method. After calling this method, any nested transactions created before closing this transaction will inherit the "structure-only" status
    `LogicalException`

### isStructureOnly

    public boolean isStructureOnly()

  returns true if this transaction allows only structural changes to the configuration (adding, deleting, connecting, and disconnecting)

### setDefaults

    public void setDefaults(boolean defaults)

  Deprecated. Turn on/off defaults in this transaction.
  Parameters:
    `defaults` - a boolean specifying whether to turn on or off defaults

### getStateOfDefaults

    public boolean getStateOfDefaults()

  Get the current state of defaults in this transaction.
  Returns:
    a boolean specifying the current state of defaults

### restoreDefaults

    public void restoreDefaults()

  Restore the original state of the defaults in this transaction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.